Module java.corba
Package org.omg.PortableInterceptor

## Class InvalidSlotHelper

- java.lang.Object
- - org.omg.PortableInterceptor.InvalidSlotHelper

    public abstract class InvalidSlotHelper
    extends Object

org/omg/PortableInterceptor/InvalidSlotHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-9-argm_o/openjdk-9-9~b114/src/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/Interceptors.idl Thursday, April 14, 2016 7:54:06 PM UTC

### Constructor Summary

Constructors
Constructor and Description
`InvalidSlotHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static InvalidSlot` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, InvalidSlot that)`
`static InvalidSlot` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, InvalidSlot value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidSlotHelper

    public InvalidSlotHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              InvalidSlot that)

#### extract

    public static InvalidSlot extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static InvalidSlot read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             InvalidSlot value)